Bug 816103 - [abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/bobkaiser1_40hotmail_2ecom at 0x22b9510>
[abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:55e18be83182be4809e98087ef7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-25 05:43 EDT by Bob
Modified: 2013-02-13 05:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 05:51:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob 2012-04-25 05:43:05 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/libexec/telepathy-butterfly
comment:        Hughesnet satellite connection is intermittent and inserts error messages in the stream.
executable:     /usr/libexec/telepathy-butterfly
kernel:         3.3.2-1.fc16.x86_64
reason:         connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/bobkaiser1_40hotmail_2ecom at 0x22b9510>
time:           Wed 25 Apr 2012 01:45:52 AM MDT
uid:            1000
username:       bob

backtrace:
:connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/bobkaiser1_40hotmail_2ecom at 0x22b9510>
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 438, in disconnected
:    self._state = ClientState.CLOSED
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 330, in fset
:    self._dispatch("on_client_state_changed", state)
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 44, in _dispatch
:    if event_handler._dispatch_event(name, *args):
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 65, in _dispatch_event
:    handler(*params)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 393, in on_client_state_changed
:    self._disconnected()
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 286, in _disconnected
:    self._manager.disconnected(self)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection_manager.py", line 51, in disconnected
:    result = telepathy.server.ConnectionManager.disconnected(self, conn)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/connmgr.py", line 65, in disconnected
:    self._connections.remove(conn)
:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/bobkaiser1_40hotmail_2ecom at 0x22b9510>
:
:Local variables in innermost frame:
:self: <butterfly.connection_manager.ButterflyConnectionManager at /org/freedesktop/Telepathy/ConnectionManager/butterfly at 0x22b90d0>
:conn: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/bobkaiser1_40hotmail_2ecom at 0x22b9510>

smolt_data:
:
:
:General
:=================================
:UUID: 2c7739f4-85e3-401e-809e-2fd7bab2390a
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4377.84
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Athlon(tm) 64 X2 Dual Core Processor 4200+
:CPU Stepping: 1
:CPU Family: 15
:CPU Model Num: 43
:Number of CPUs: 2
:CPU Speed: 2200
:System Memory: 2002
:System Swap: 4031
:Vendor: HP Pavilion 061
:System: PX191AV-ABA d4100e 0qn1211CT101AMBER10
:Form factor: Desktop
:Kernel: 3.3.2-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(5772:27:4525:20481) pci, ath5k, ETHERNET, WN5301A 802.11bg Wireless PCI Adapter
:(4318:3043:5208:13525) pci, snd_hda_intel, MULTIMEDIA, High Definition Audio Controller
:(4098:22864:4156:10790) pci, None, HOST/PCI, RS480 Host Bridge
:(4332:33081:4156:10790) pci, 8139too, ETHERNET, RTL-8139/8139C/8139C+
:(4098:17270:4156:10790) pci, pata_atiixp, STORAGE, IXP SB400 IDE Controller
:(4130:4353:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] Address Map
:(4130:4352:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] HyperTransport Technology Configuration
:(4130:4355:0:0) pci, k8temp, HOST/PCI, K8 [Athlon64/Opteron] Miscellaneous Control
:(4793:4104:4793:214) pci, serial, 16550_SERIAL, 56K FaxModem Model 5610
:(4098:17271:4156:10790) pci, None, PCI/ISA, IXP SB400 PCI-ISA Bridge
:(4098:23092:4156:10790) pci, pcieport, PCI/PCI, RS480 PCI-X Root Port
:(4098:17266:4156:10790) pci, None, SERIAL, IXP SB400 SMBus Controller
:(4245:13586:4245:25874) pci, sata_sil, RAID, SiI 3512 SATARaid Controller
:(4130:4354:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] DRAM Controller
:(4098:17265:0:0) pci, None, PCI/PCI, IXP SB400 PCI-PCI Bridge
:(4354:8:4354:4130) pci, snd_emu10k1, MULTIMEDIA_AUDIO, SB0400 Audigy2 Value
:(4098:17267:4156:10790) pci, ehci_hcd, USB, IXP SB400 USB2 Host Controller
:(4318:2661:5208:13525) pci, nouveau, VIDEO, GT218 [GeForce 210]
:(4098:17268:4156:10790) pci, ohci_hcd, USB, IXP SB400 USB Host Controller
:(4098:17269:4156:10790) pci, ohci_hcd, USB, IXP SB400 USB Host Controller
:(4098:17273:4156:10790) pci, sata_sil, STORAGE, IXP SB400 Serial ATA Controller
:(4358:12356:4156:10790) pci, firewire_ohci, FIREWIRE, VT6306/7/8 [Fire II(M)] IEEE 1394 OHCI Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/VolGroup-lv_root / ext4 4096 4096 13081819 8730187 8074827 3276800 2908457 2908457
:/dev/sda2 WITHHELD fuseblk 4096 4096 58685444 26645476 26645476 107007888 106610457 106610457
:/dev/sdc1 /boot ext4 1024 1024 508745 408930 383330 128016 127742 127742
:/dev/sdh1 WITHHELD fuseblk 4096 4096 488375992 183077649 183077649 732441668 732362494 732362494
:/dev/mapper/VolGroup-lv_home /home ext4 4096 4096 229686007 200187055 188691222 57483264 57459147 57459147
:/dev/sdb1 WITHHELD fuseblk UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:
Comment 1 Fedora End Of Life 2013-01-16 06:30:56 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 05:51:59 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.